package com.ajb.car.entity.quotation;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;


@Entity
@Table(name="ag_po_quotation_confirm")
public class AgPoQuotationConfirm implements java.io.Serializable {

private static final long serialVersionUID = 1L;

	// id
	private Long id;

	// 报价单id
	private Long quotationId;

	// 车辆id
	private Long quotationVehicleId;

	// 申请人
	private String applicantName;

	// 投保人证件类型ag_md_vehicle_dictionary ID Type
	private String applicantCerttypeId;

	// 投保人证件号
	private String applicantCertcode;

	// 投保人
	private String applicantTel;

	// 被保人
	private String insuredName;

	// 被保人证件类型ag_md_vehicle_dictionary ID Type
	private String insuredCerttypeId;

	// 被保人证件号
	private String insuredCertcode;

	// 权益人
	private String claimantName;

	// 权益人证件类型ag_md_vehicle_dictionary ID Type
	private String claimantCerttypeId;

	// 权益人证件号
	private String claimantCertcode;

	// 发票类型
	private String invoiceKind;

	// 发票抬头
	private String invoiceTitle;

	// 纳税人识别码
	private String taxCode;

	// 开户银行
	private String invoiceBank;

	// 银行账户
	private String invoiceBankcardId;

	// 发票地址
	private String invoiceAddress;

	// 登记电话
	private String invoiceTel;

	// 收件人
	private String receiverName;

	// 收件人电话
	private String receiverTel;

	// 收件人地址
	private String receiverAddress;

	// 收件时间
	private Date receiverDate;

	// 创建时间
	private Date createdAt;

	// 创建人
	private Long createdBy;

	// 修改时间
	private Date updatedAt;

	// 修改人
	private Long updatedBy;

	/** ?? id,???? ag_po_quotation_confirm.id */
	@Id
	@GeneratedValue(strategy=GenerationType.IDENTITY)
	@Column(name="id")
	public Long getId(){
		return this.id;
	}
	/** ?? id,???? ag_po_quotation_confirm.id */
	public void setId(Long id){
		this.id = id;
	}
	/** ?? 报价单id,???? ag_po_quotation_confirm.quotation_id */
	@Column(name="quotation_id")
	public Long getQuotationId(){
		return this.quotationId;
	}
	/** ?? 报价单id,???? ag_po_quotation_confirm.quotation_id */
	public void setQuotationId(Long quotationId){
		this.quotationId = quotationId;
	}
	/** ?? 车辆id,???? ag_po_quotation_confirm.quotation_vehicle_id */
	@Column(name="quotation_vehicle_id")
	public Long getQuotationVehicleId(){
		return this.quotationVehicleId;
	}
	/** ?? 车辆id,???? ag_po_quotation_confirm.quotation_vehicle_id */
	public void setQuotationVehicleId(Long quotationVehicleId){
		this.quotationVehicleId = quotationVehicleId;
	}
	/** ?? 申请人,???? ag_po_quotation_confirm.applicant_name */
	@Column(name="applicant_name")
	public String getApplicantName(){
		return this.applicantName;
	}
	/** ?? 申请人,???? ag_po_quotation_confirm.applicant_name */
	public void setApplicantName(String applicantName){
		this.applicantName = applicantName;
	}
	/** ?? 投保人证件类型ag_md_vehicle_dictionary ID Type,???? ag_po_quotation_confirm.applicant_certtype_id */
	@Column(name="applicant_certtype_id")
	public String getApplicantCerttypeId(){
		return this.applicantCerttypeId;
	}
	/** ?? 投保人证件类型ag_md_vehicle_dictionary ID Type,???? ag_po_quotation_confirm.applicant_certtype_id */
	public void setApplicantCerttypeId(String applicantCerttypeId){
		this.applicantCerttypeId = applicantCerttypeId;
	}
	/** ?? 投保人证件号,???? ag_po_quotation_confirm.applicant_certcode */
	@Column(name="applicant_certcode")
	public String getApplicantCertcode(){
		return this.applicantCertcode;
	}
	/** ?? 投保人证件号,???? ag_po_quotation_confirm.applicant_certcode */
	public void setApplicantCertcode(String applicantCertcode){
		this.applicantCertcode = applicantCertcode;
	}
	/** ?? 投保人,???? ag_po_quotation_confirm.applicant_tel */
	@Column(name="applicant_tel")
	public String getApplicantTel(){
		return this.applicantTel;
	}
	/** ?? 投保人,???? ag_po_quotation_confirm.applicant_tel */
	public void setApplicantTel(String applicantTel){
		this.applicantTel = applicantTel;
	}
	/** ?? 被保人,???? ag_po_quotation_confirm.insured_name */
	@Column(name="insured_name")
	public String getInsuredName(){
		return this.insuredName;
	}
	/** ?? 被保人,???? ag_po_quotation_confirm.insured_name */
	public void setInsuredName(String insuredName){
		this.insuredName = insuredName;
	}
	/** ?? 被保人证件类型ag_md_vehicle_dictionary ID Type,???? ag_po_quotation_confirm.insured_certtype_id */
	@Column(name="insured_certtype_id")
	public String getInsuredCerttypeId(){
		return this.insuredCerttypeId;
	}
	/** ?? 被保人证件类型ag_md_vehicle_dictionary ID Type,???? ag_po_quotation_confirm.insured_certtype_id */
	public void setInsuredCerttypeId(String insuredCerttypeId){
		this.insuredCerttypeId = insuredCerttypeId;
	}
	/** ?? 被保人证件号,???? ag_po_quotation_confirm.insured_certcode */
	@Column(name="insured_certcode")
	public String getInsuredCertcode(){
		return this.insuredCertcode;
	}
	/** ?? 被保人证件号,???? ag_po_quotation_confirm.insured_certcode */
	public void setInsuredCertcode(String insuredCertcode){
		this.insuredCertcode = insuredCertcode;
	}
	/** ?? 权益人,???? ag_po_quotation_confirm.claimant_name */
	@Column(name="claimant_name")
	public String getClaimantName(){
		return this.claimantName;
	}
	/** ?? 权益人,???? ag_po_quotation_confirm.claimant_name */
	public void setClaimantName(String claimantName){
		this.claimantName = claimantName;
	}
	/** ?? 权益人证件类型ag_md_vehicle_dictionary ID Type,???? ag_po_quotation_confirm.claimant_certtype_id */
	@Column(name="claimant_certtype_id")
	public String getClaimantCerttypeId(){
		return this.claimantCerttypeId;
	}
	/** ?? 权益人证件类型ag_md_vehicle_dictionary ID Type,???? ag_po_quotation_confirm.claimant_certtype_id */
	public void setClaimantCerttypeId(String claimantCerttypeId){
		this.claimantCerttypeId = claimantCerttypeId;
	}
	/** ?? 权益人证件号,???? ag_po_quotation_confirm.claimant_certcode */
	@Column(name="claimant_certcode")
	public String getClaimantCertcode(){
		return this.claimantCertcode;
	}
	/** ?? 权益人证件号,???? ag_po_quotation_confirm.claimant_certcode */
	public void setClaimantCertcode(String claimantCertcode){
		this.claimantCertcode = claimantCertcode;
	}
	/** ?? 发票类型,???? ag_po_quotation_confirm.invoice_kind */
	@Column(name="invoice_kind")
	public String getInvoiceKind(){
		return this.invoiceKind;
	}
	/** ?? 发票类型,???? ag_po_quotation_confirm.invoice_kind */
	public void setInvoiceKind(String invoiceKind){
		this.invoiceKind = invoiceKind;
	}
	/** ?? 发票抬头,???? ag_po_quotation_confirm.invoice_title */
	@Column(name="invoice_title")
	public String getInvoiceTitle(){
		return this.invoiceTitle;
	}
	/** ?? 发票抬头,???? ag_po_quotation_confirm.invoice_title */
	public void setInvoiceTitle(String invoiceTitle){
		this.invoiceTitle = invoiceTitle;
	}
	/** ?? 纳税人识别码,???? ag_po_quotation_confirm.tax_code */
	@Column(name="tax_code")
	public String getTaxCode(){
		return this.taxCode;
	}
	/** ?? 纳税人识别码,???? ag_po_quotation_confirm.tax_code */
	public void setTaxCode(String taxCode){
		this.taxCode = taxCode;
	}
	/** ?? 开户银行,???? ag_po_quotation_confirm.invoice_bank */
	@Column(name="invoice_bank")
	public String getInvoiceBank(){
		return this.invoiceBank;
	}
	/** ?? 开户银行,???? ag_po_quotation_confirm.invoice_bank */
	public void setInvoiceBank(String invoiceBank){
		this.invoiceBank = invoiceBank;
	}
	/** ?? 银行账户,???? ag_po_quotation_confirm.invoice_bankcard_id */
	@Column(name="invoice_bankcard_id")
	public String getInvoiceBankcardId(){
		return this.invoiceBankcardId;
	}
	/** ?? 银行账户,???? ag_po_quotation_confirm.invoice_bankcard_id */
	public void setInvoiceBankcardId(String invoiceBankcardId){
		this.invoiceBankcardId = invoiceBankcardId;
	}
	/** ?? 发票地址,???? ag_po_quotation_confirm.invoice_address */
	@Column(name="invoice_address")
	public String getInvoiceAddress(){
		return this.invoiceAddress;
	}
	/** ?? 发票地址,???? ag_po_quotation_confirm.invoice_address */
	public void setInvoiceAddress(String invoiceAddress){
		this.invoiceAddress = invoiceAddress;
	}
	/** ?? 登记电话,???? ag_po_quotation_confirm.invoice_tel */
	@Column(name="invoice_tel")
	public String getInvoiceTel(){
		return this.invoiceTel;
	}
	/** ?? 登记电话,???? ag_po_quotation_confirm.invoice_tel */
	public void setInvoiceTel(String invoiceTel){
		this.invoiceTel = invoiceTel;
	}
	/** ?? 收件人,???? ag_po_quotation_confirm.receiver_name */
	@Column(name="receiver_name")
	public String getReceiverName(){
		return this.receiverName;
	}
	/** ?? 收件人,???? ag_po_quotation_confirm.receiver_name */
	public void setReceiverName(String receiverName){
		this.receiverName = receiverName;
	}
	/** ?? 收件人电话,???? ag_po_quotation_confirm.receiver_tel */
	@Column(name="receiver_tel")
	public String getReceiverTel(){
		return this.receiverTel;
	}
	/** ?? 收件人电话,???? ag_po_quotation_confirm.receiver_tel */
	public void setReceiverTel(String receiverTel){
		this.receiverTel = receiverTel;
	}
	/** ?? 收件人地址,???? ag_po_quotation_confirm.receiver_address */
	@Column(name="receiver_address")
	public String getReceiverAddress(){
		return this.receiverAddress;
	}
	/** ?? 收件人地址,???? ag_po_quotation_confirm.receiver_address */
	public void setReceiverAddress(String receiverAddress){
		this.receiverAddress = receiverAddress;
	}
	/** ?? 收件时间,???? ag_po_quotation_confirm.receiver_date */
	@Column(name="receiver_date")
	public Date getReceiverDate(){
		return this.receiverDate;
	}
	/** ?? 收件时间,???? ag_po_quotation_confirm.receiver_date */
	public void setReceiverDate(Date receiverDate){
		this.receiverDate = receiverDate;
	}
	/** ?? 创建时间,???? ag_po_quotation_confirm.created_at */
	@Column(name="created_at")
	public Date getCreatedAt(){
		return this.createdAt;
	}
	/** ?? 创建时间,???? ag_po_quotation_confirm.created_at */
	public void setCreatedAt(Date createdAt){
		this.createdAt = createdAt;
	}
	/** ?? 创建人,???? ag_po_quotation_confirm.created_by */
	@Column(name="created_by")
	public Long getCreatedBy(){
		return this.createdBy;
	}
	/** ?? 创建人,???? ag_po_quotation_confirm.created_by */
	public void setCreatedBy(Long createdBy){
		this.createdBy = createdBy;
	}
	/** ?? 修改时间,???? ag_po_quotation_confirm.updated_at */
	@Column(name="updated_at")
	public Date getUpdatedAt(){
		return this.updatedAt;
	}
	/** ?? 修改时间,???? ag_po_quotation_confirm.updated_at */
	public void setUpdatedAt(Date updatedAt){
		this.updatedAt = updatedAt;
	}
	/** ?? 修改人,???? ag_po_quotation_confirm.updated_by */
	@Column(name="updated_by")
	public Long getUpdatedBy(){
		return this.updatedBy;
	}
	/** ?? 修改人,???? ag_po_quotation_confirm.updated_by */
	public void setUpdatedBy(Long updatedBy){
		this.updatedBy = updatedBy;
	}
}